<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import IBIZBOOKUsr6ListViewBase from './ibizbookusr6-list-view-base.vue';

import view_list from '@widgets/ibizbook/test-list-list/test-list-list.vue';
// 基于 @VIEW/实体列表视图/VIEW.vue.ftl 生成

@Component({
    components: {
        view_list, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class IBIZBOOKUsr6ListView extends IBIZBOOKUsr6ListViewBase {

}
</script>